Loading...
Searching...
No Matches
gsm0808_old_bss_to_new_bss_info Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

3GPP TS 48.008 §3.2.2.5.8 Old BSS to New BSS information More...

`#include <gsm0808.h>`

## Data Fields

bool | extra_information_present
struct { |
bool prec |
bool lcs |
bool ue_prob |
} | extra_information
bool | current_channel_type_2_present
struct { |
uint8_t mode |
uint8_t field |
} | current_channel_type_2
bool | last_eutran_plmn_id_present
struct osmo_plmn_id | last_eutran_plmn_id
bool | more_items

## Detailed Description

3GPP TS 48.008 §3.2.2.5.8 Old BSS to New BSS information

## Field Documentation

## [struct]

struct { ... } gsm0808_old_bss_to_new_bss_info::current_channel_type_2

Referenced by put_old_bss_to_new_bss_information().

## current_channel_type_2_present

bool gsm0808_old_bss_to_new_bss_info::current_channel_type_2_present

Referenced by put_old_bss_to_new_bss_information().

## [struct]

struct { ... } gsm0808_old_bss_to_new_bss_info::extra_information

Referenced by put_old_bss_to_new_bss_information().

## extra_information_present

bool gsm0808_old_bss_to_new_bss_info::extra_information_present

Referenced by put_old_bss_to_new_bss_information().

## field

uint8_t gsm0808_old_bss_to_new_bss_info::field

Referenced by put_old_bss_to_new_bss_information().

## last_eutran_plmn_id

struct osmo_plmn_id gsm0808_old_bss_to_new_bss_info::last_eutran_plmn_id

Referenced by put_old_bss_to_new_bss_information().

## last_eutran_plmn_id_present

bool gsm0808_old_bss_to_new_bss_info::last_eutran_plmn_id_present

Referenced by put_old_bss_to_new_bss_information().

## lcs

bool gsm0808_old_bss_to_new_bss_info::lcs

Referenced by put_old_bss_to_new_bss_information().

## mode

uint8_t gsm0808_old_bss_to_new_bss_info::mode

Referenced by put_old_bss_to_new_bss_information().

## more_items

bool gsm0808_old_bss_to_new_bss_info::more_items

## prec

bool gsm0808_old_bss_to_new_bss_info::prec

Referenced by put_old_bss_to_new_bss_information().

## ue_prob

bool gsm0808_old_bss_to_new_bss_info::ue_prob

Referenced by put_old_bss_to_new_bss_information().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h